net.minecraft.world.gen.structure

## Class StructureStrongholdPieces.Stairs2

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.StructureStrongholdPieces.Stronghold
    - - net.minecraft.world.gen.structure.StructureStrongholdPieces.Stairs
      - - net.minecraft.world.gen.structure.StructureStrongholdPieces.Stairs2

- Enclosing class:
    StructureStrongholdPieces

      public static class StructureStrongholdPieces.Stairs2
      extends StructureStrongholdPieces.Stairs

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureStrongholdPieces.Stronghold

      `StructureStrongholdPieces.Stronghold.Door`

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureComponent

      `StructureComponent.BlockSelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List` | `field_75026_c`
    `net.minecraft.world.gen.structure.StructureStrongholdPieces.PieceWeight` | `strongholdPieceWeight`
    `StructureStrongholdPieces.PortalRoom` | `strongholdPortalRoom`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureStrongholdPieces.Stronghold

      `field_143013_d`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureComponent

      `boundingBox, componentType, coordBaseMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureStrongholdPieces.Stairs2()`
    `StructureStrongholdPieces.Stairs2(int par1, java.util.Random par2Random, int par3, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChunkPosition` | `func_151553_a()`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureStrongholdPieces.Stairs

      `addComponentParts, buildComponent, func_143011_b, func_143012_a, getStrongholdStairsComponent`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureStrongholdPieces.Stronghold

      `canStrongholdGoDeeper, getNextComponentNormal, getNextComponentX, getNextComponentZ, getRandomDoor, placeDoor`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `clearCurrentPositionBlocksUpwards, fillWithAir, fillWithBlocks, fillWithMetadataBlocks, fillWithRandomizedBlocks, findIntersecting, func_143009_a, func_143010_b, func_151547_a, func_151552_a, func_151554_b, generateStructureChestContents, generateStructureDispenserContents, getBlockAtCurrentPosition, getBoundingBox, getComponentType, getMetadataWithOffset, getXWithOffset, getYWithOffset, getZWithOffset, isLiquidInStructureBoundingBox, placeBlockAtCurrentPosition, placeDoorAtCurrentPosition, randomlyFillWithBlocks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### strongholdPieceWeight

          public net.minecraft.world.gen.structure.StructureStrongholdPieces.PieceWeight strongholdPieceWeight

    - #### strongholdPortalRoom

          public StructureStrongholdPieces.PortalRoom strongholdPortalRoom

    - #### field_75026_c

          public java.util.List field_75026_c

  - ### Constructor Detail

    - #### StructureStrongholdPieces.Stairs2

          public StructureStrongholdPieces.Stairs2()

    - #### StructureStrongholdPieces.Stairs2

          public StructureStrongholdPieces.Stairs2(int par1,
                                           java.util.Random par2Random,
                                           int par3,
                                           int par4)

  - ### Method Detail

    - #### func_151553_a

          public ChunkPosition func_151553_a()

      Overrides:
        `func_151553_a` in class `StructureComponent`